/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __maya_JointCombineOp_h__
#define __maya_JointCombineOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Combine multiple native joints a single multi-joint surface

	@ingroup maya
*//***************************************************************************/
class FE_DL_EXPORT JointCombineOp:
	public OperatorSurfaceCommon,
	public Initialize<JointCombineOp>
{
	public:

					JointCombineOp(void)									{}
virtual				~JointCombineOp(void)									{}

		void		initialize(void);

					//* As HandlerI
virtual	void		handle(Record& a_rSignal);

	private:
		void		scanDag(MObject a_parent,String a_grandparent);

		sp<Scope>							m_spScope;
		sp<SurfaceAccessibleJoint>			m_spJointAccessible;

		std::map<String,SpatialTransform>	m_animWorldMap;
		std::map<String,SpatialTransform>	m_refWorldMap;
		std::map<String,U32>				m_primitiveIndexMap;

		sp<SurfaceAccessorI>				m_spInputRefX;
		sp<SurfaceAccessorI>				m_spInputRefY;
		sp<SurfaceAccessorI>				m_spInputRefZ;
		sp<SurfaceAccessorI>				m_spInputRefT;
};

} /* namespace */

#endif /* __maya_JointCombineOp_h__ */
