/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "opengl.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
	list.append(new String("fexDrawDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master> spMaster)
{

	Library *pLibrary = new Library();

	pLibrary->add<DrawOpenGL>("DrawI.DrawOpenGL.fe");
	pLibrary->add<ViewOpenGL>("ViewI.ViewOpenGL.fe");

	return pLibrary;
}

}
