import sys
import os
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"tiff.pmh",
				"ImageTiff",
				"tiffDL" ]

	dll = module.DLL( "fexTiffDL", srcList )

	deplibs = forge.basiclibs + [
				"fePluginLib",
				"fexImageDLLib" ]

	dll.linkmap = { "gfxlibs": forge.gfxlibs }

	if forge.fe_os == "FE_LINUX":
		dll.linkmap["tifflibs"] = "-ltiff"
	elif forge.fe_os == "FE_WIN32" or forge.fe_os == "FE_WIN64":
		dll.linkmap["tifflibs"] = "TODO"

	forge.deps( ["fexTiffDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexTiffDL",						None,	None) ]

#	module.Module('test')

def auto(module):
	test_file = """
#include <tiff.h>

int main(void)
{
	return(0);
}
    \n"""

	ilmap = { "gfxlibs": forge.gfxlibs }
	if forge.fe_os == "FE_LINUX":
		ilmap["tifflibs"] = "-ltiff"
	elif forge.fe_os == "FE_WIN32" or forge.fe_os == "FE_WIN64":
		ilmap["tifflibs"] = "TODO"

	return forge.cctest(test_file, ilmap)
